﻿#language: ru

@quality_control

Функционал: 03_quality_control. Создание документов Заявка на регистрацию показателей по складам

Сценарий: 03_quality_control. Заявка на Бассейн соления для заполнения через Мониторинг выполнения лаб.анализов по складам
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Заявки на регистрацию показателей по складам'
	Тогда открылось окно 'Заявки на регистрацию показателей по складам'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание)'
	И я нажимаю кнопку выбора у поля "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание) *'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Бассейн соления'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание) *'
	И в поле с именем 'Дата' я ввожу текст '11.11.2018 13:12:42'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на регистрацию показателей по складам (создание) *' в течение 20 секунд
	Тогда открылось окно 'Заявки на регистрацию показателей по складам'
	И я закрываю окно 'Заявки на регистрацию показателей по складам'

Сценарий: 03_quality_control. Заявка на Бассейн соления 
	И В командном интерфейсе я выбираю 'Производство' 'Заявки на регистрацию показателей по складам'
	Тогда открылось окно 'Заявки на регистрацию показателей по складам'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание) *'
	И я нажимаю кнопку выбора у поля "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Солилка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на регистрацию показателей по складам (создание) *' в течение 20 секунд
	Тогда открылось окно 'Заявки на регистрацию показателей по складам'
	И Я закрываю окно 'Заявки на регистрацию показателей по складам'